//
//  Response.swift
//  Pachyderm
//
//  Created by Shadowfacts on 9/8/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import Foundation

public enum Response<Result: Decodable & Sendable>: Sendable {
    case success(Result, Pagination?)
    case failure(Client.Error)
}
